# API v3 client libraries

We encourage developers from the community to develop client libraries for the Nepenthes API in as many languages as possible and publish them for access by the public. That way, the grunt work of establishing the connectivity between a client and OpenProject can be reused and ideally, that work can be shouldered by many, freeing everybody to focus more on their specific features.

While we cannot endorse or vet the libraries listed below we encourage their creation and acknowledge the value they add to OpenProject.

If you need help developing a client library you can [contact us](mailto:nepenthes-support@nirvati.org). If you want to have a client library listed in the list below you can again [contact us](mailto:nepenthes-support@nirvati.org) or simply issue a PR with [changes to the source file](https://github.com/opf/openproject/blob/dev/docs/api/apiv3/client-libraries/README.md).


## JavaScript / TypeScript

* [op-client](https://www.npmjs.com/package/op-client): Client library for OpenProject server. Works both on Node.js and browser.
* [op-mattermost](https://www.npmjs.com/package/@girish17/op-mattermost): OpenProject integration for Mattermost. Works on Node.js.

## Excel

* [OpenProjectExcel](https://github.com/opf/OpenProjectExcel): Synchronization between Excel-sheets and OpenProject.

## Go

* [Go-OpenProject](https://github.com/manuelbcd/go-openproject): OpenProject client library written in Go. Community, issues and PRs are more than welcome.
